/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package mytodoapp;

import java.util.Scanner;

public class App {

    public static void main(String[] args) {
        Storage taskStorage = new Storage();
        Scanner inputUser = new Scanner(System.in);
        char userChoice, inputStatus;
        String inputName;

        do {
            System.out.println("Welcome! Here are the menu options :");
            System.out.println("    1. Add to do item");
            System.out.println("    2. Show to do list");
            System.out.println("    3. Update to do item");
            System.out.println("    4. Delete to do item");
            System.out.println("    5. Quit or Q\n");

            System.out.println("What would you like to do? :>");
            userChoice = inputUser.next().charAt(0);

            switch (userChoice) {
                case '1':
                    System.out.println("\nWhat is your task to add to your Todo list?");
                    inputUser.nextLine();
                    inputName = inputUser.nextLine();
                    System.out.println("\nIs the status Complete or Incomplete? (C or I)");
                    inputStatus = inputUser.next().charAt(0);
                    taskStorage.store(new Task(inputName, inputStatus));
                    System.out.println("\nThanks! Your task was added.\n");
                    break;
                case '2':
                    taskStorage.retrieve();
                    System.out.println("\n");
                    break;
                default:
                    break;
            }
        } while (userChoice != 'Q' && userChoice != '5');

        inputUser.close();
    }
}
